Artifact fcb2d0c6dca0435ad0d42ba21d2b2a727c59b6a8:
- Executable file
kitcreator
— part of check-in
[e062ee58fc]
at
2010-09-26 04:37:30
on branch trunk
— Updated to give warnings when required packages failed to build
Updated to copy built Tclkit to current directory (user: rkeene, size: 1126) [annotate] [blame] [check-ins using]
#! /bin/bash TCLVERS="8.4.19" export TCLVERS mode="build" if [ "$1" = "clean" ]; then mode="clean" fi if [ "$1" = "distclean" ]; then mode="distclean" fi failedpkgs="" buildfailed="0" for pkg in tcl tk itcl mk4tcl tclvfs memchan kitsh; do if [ "${mode}" = "distclean" ]; then rm -rf "${pkg}/src" fi if [ "${mode}" = "clean" -o "${mode}" = "distclean" ]; then rm -f "${pkg}/build.log" rm -rf "${pkg}/out" "${pkg}/inst" "${pkg}/build" continue fi failed="0" ( cd "${pkg}" || exit 1 ./build.sh > build.log 2>&1 || exit 1 ) || failed="1" if [ "${failed}" = "1" ]; then failedpkgs="${failedpkgs} ${pkg}" fi case "${pkg}" in tcl) TCLCONFIGDIR=$(find "$(pwd)/tcl/build" -name tclConfig.sh | head -1 | sed 's@/[^/]*$@@') export TCLCONFIGDIR ;; memchan) failed="0" ;; esac if [ "${failed}" = "1" ]; then buildfailed="1" fi done if [ -n "${failedpkgs}" ]; then echo "Failed to build:${failedpkgs}" fi if [ "${buildfailed}" != "0" ]; then echo 'WARNING: Build is likely incomplete or failed.' >&2 fi cp 'kitsh/build'/kitsh-*/kit "tclkit-${TCLVERS}" exit "${buildfailed}"